# $Revision: 1.5 $, $Date: 2012/05/08 10:38:08 $
%define		plugin	pp
Summary:	jQuery PP framework
Name:		jquery-%{plugin}
Version:	1.2.3
Release:	1
License:	MIT / GPL
Group:		Applications/WWW
Source0:	https://github.com/atirip/jquery.pp/tarball/%{version}/%{plugin}-%{version}.tgz
# Source0-md5:	d774817974e919842acf8fce5b543a02
URL:		https://github.com/atirip/jquery.pp
BuildRequires:	js
BuildRequires:	rpmbuild(macros) > 1.268
BuildRequires:	closure-compiler
Requires:	jquery >= 1.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir	%{_datadir}/jquery/%{plugin}

%description
This packages contains base jQuery PP framework

and additional optional plugins:
- jQuery Calendar plugin for PP framework
- jQuery Select plugin for PP framework

%prep
%setup -qc
mv *-jquery.%{plugin}-*/* .

%build
install -d build
# compress .js
for js in *.js; do
	# compress .js
	out=build/${js#jquery.}
	%if 0%{!?debug:1}
	closure-compiler --js $js --charset UTF-8 --js_output_file $out
	js -C -f $out
	%else
	cp -p $js $out
	%endif
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}
cp -a build/* $RPM_BUILD_ROOT%{_appdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{_appdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jquery-pp.spec,v $
Revision 1.5  2012/05/08 10:38:08  glen
- up to 1.2.3

Revision 1.4  2012/04/30 08:21:11  glen
- 1.2.2

Revision 1.3  2012/04/23 12:36:15  glen
- up to 1.2

Revision 1.2  2012/04/02 14:19:37  glen
- up to 1.1

Revision 1.1  2012/02/29 09:42:45  glen
- new
